# @bravo68web/tsconfig

[![Version](https://img.shields.io/npm/v/@bravo68web/tsconfig.svg?style=flat-square)](https://www.npmjs.com/package/@bravo68web/tsconfig)

Welcome to the `@bravo68web/eslint-config`! Strict Typescript configuration for [bravo68web](https://github.com/bravo68web). Use with caution.

## Installation

To start using `@bravo68web/tsconfig`, simply run:

```bash
npm install --save-dev @bravo68web/tsconfig
```

## Usage

Add the following code to your `tsconfig.json` file:

-   Default configuration

```json
{
    "extends": "@bravo68web/tsconfig/base.json"
}
```

-   Ready to Use configuration

```json
{
    "extends": "@bravo68web/tsconfig/ready.json"
}
```

-   Bun configuration

```json
{
    "extends": "@bravo68web/tsconfig/bun.json"
}
```

-   Web Frontend configuration

```json
{
    "extends": "@bravo68web/tsconfig/web.json"
}
```

And that's it! You're now ready to use

## Compatibility

This package is compatible with the following TypeScript and Node.js versions:

-   TypeScript: 5.0 or later
-   Node.js: Any version that supports the above TypeScript version

**Updating to the latest version of this package is recommended for the best compatibility.**

## License

This project is licensed under the MIT License - see the [LICENSE](./LICENSE) file for details
